-- MySQL dump 10.13  Distrib 8.0.28, for Linux (x86_64)
--
-- Host: localhost    Database: tannei
-- ------------------------------------------------------
-- Server version	8.0.29-0ubuntu0.20.04.3

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `tannei`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tannei` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;

USE `tannei`;

--
-- Table structure for table `tanneiaccess_tokens`
--

DROP TABLE IF EXISTS `tanneiaccess_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneiaccess_tokens` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int unsigned NOT NULL,
  `last_activity_at` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_ip_address` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_user_agent` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tanneiaccess_tokens_token_unique` (`token`),
  KEY `tanneiaccess_tokens_user_id_foreign` (`user_id`),
  KEY `tanneiaccess_tokens_type_index` (`type`),
  CONSTRAINT `tanneiaccess_tokens_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneiaccess_tokens`
--

LOCK TABLES `tanneiaccess_tokens` WRITE;
/*!40000 ALTER TABLE `tanneiaccess_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneiaccess_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneiapi_keys`
--

DROP TABLE IF EXISTS `tanneiapi_keys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneiapi_keys` (
  `key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `allowed_ips` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `scopes` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `last_activity_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tanneiapi_keys_key_unique` (`key`),
  KEY `tanneiapi_keys_user_id_foreign` (`user_id`),
  CONSTRAINT `tanneiapi_keys_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneiapi_keys`
--

LOCK TABLES `tanneiapi_keys` WRITE;
/*!40000 ALTER TABLE `tanneiapi_keys` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneiapi_keys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneidiscussion_tag`
--

DROP TABLE IF EXISTS `tanneidiscussion_tag`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneidiscussion_tag` (
  `discussion_id` int unsigned NOT NULL,
  `tag_id` int unsigned NOT NULL,
  PRIMARY KEY (`discussion_id`,`tag_id`),
  KEY `tanneidiscussion_tag_tag_id_foreign` (`tag_id`),
  CONSTRAINT `tanneidiscussion_tag_discussion_id_foreign` FOREIGN KEY (`discussion_id`) REFERENCES `tanneidiscussions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneidiscussion_tag_tag_id_foreign` FOREIGN KEY (`tag_id`) REFERENCES `tanneitags` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneidiscussion_tag`
--

LOCK TABLES `tanneidiscussion_tag` WRITE;
/*!40000 ALTER TABLE `tanneidiscussion_tag` DISABLE KEYS */;
INSERT INTO `tanneidiscussion_tag` VALUES (2,1),(3,1),(4,1),(5,1);
/*!40000 ALTER TABLE `tanneidiscussion_tag` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneidiscussion_user`
--

DROP TABLE IF EXISTS `tanneidiscussion_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneidiscussion_user` (
  `user_id` int unsigned NOT NULL,
  `discussion_id` int unsigned NOT NULL,
  `last_read_at` datetime DEFAULT NULL,
  `last_read_post_number` int unsigned DEFAULT NULL,
  `subscription` enum('follow','ignore') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`user_id`,`discussion_id`),
  KEY `tanneidiscussion_user_discussion_id_foreign` (`discussion_id`),
  CONSTRAINT `tanneidiscussion_user_discussion_id_foreign` FOREIGN KEY (`discussion_id`) REFERENCES `tanneidiscussions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneidiscussion_user_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneidiscussion_user`
--

LOCK TABLES `tanneidiscussion_user` WRITE;
/*!40000 ALTER TABLE `tanneidiscussion_user` DISABLE KEYS */;
INSERT INTO `tanneidiscussion_user` VALUES (1,2,'2022-05-18 14:50:49',1,NULL),(1,3,'2022-05-18 23:17:09',1,NULL),(1,4,'2022-05-19 00:21:45',1,NULL),(1,5,'2022-05-20 12:52:33',1,NULL);
/*!40000 ALTER TABLE `tanneidiscussion_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneidiscussions`
--

DROP TABLE IF EXISTS `tanneidiscussions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneidiscussions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_count` int NOT NULL DEFAULT '1',
  `participant_count` int unsigned NOT NULL DEFAULT '0',
  `post_number_index` int unsigned NOT NULL DEFAULT '0',
  `created_at` datetime NOT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `first_post_id` int unsigned DEFAULT NULL,
  `last_posted_at` datetime DEFAULT NULL,
  `last_posted_user_id` int unsigned DEFAULT NULL,
  `last_post_id` int unsigned DEFAULT NULL,
  `last_post_number` int unsigned DEFAULT NULL,
  `hidden_at` datetime DEFAULT NULL,
  `hidden_user_id` int unsigned DEFAULT NULL,
  `slug` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_private` tinyint(1) NOT NULL DEFAULT '0',
  `is_approved` tinyint(1) NOT NULL DEFAULT '1',
  `is_locked` tinyint(1) NOT NULL DEFAULT '0',
  `is_sticky` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `tanneidiscussions_hidden_user_id_foreign` (`hidden_user_id`),
  KEY `tanneidiscussions_first_post_id_foreign` (`first_post_id`),
  KEY `tanneidiscussions_last_post_id_foreign` (`last_post_id`),
  KEY `tanneidiscussions_last_posted_at_index` (`last_posted_at`),
  KEY `tanneidiscussions_last_posted_user_id_index` (`last_posted_user_id`),
  KEY `tanneidiscussions_created_at_index` (`created_at`),
  KEY `tanneidiscussions_user_id_index` (`user_id`),
  KEY `tanneidiscussions_comment_count_index` (`comment_count`),
  KEY `tanneidiscussions_participant_count_index` (`participant_count`),
  KEY `tanneidiscussions_hidden_at_index` (`hidden_at`),
  KEY `tanneidiscussions_is_locked_index` (`is_locked`),
  KEY `tanneidiscussions_is_sticky_created_at_index` (`is_sticky`,`created_at`),
  KEY `tanneidiscussions_is_sticky_last_posted_at_index` (`is_sticky`,`last_posted_at`),
  FULLTEXT KEY `title` (`title`),
  CONSTRAINT `tanneidiscussions_first_post_id_foreign` FOREIGN KEY (`first_post_id`) REFERENCES `tanneiposts` (`id`) ON DELETE SET NULL,
  CONSTRAINT `tanneidiscussions_hidden_user_id_foreign` FOREIGN KEY (`hidden_user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE SET NULL,
  CONSTRAINT `tanneidiscussions_last_post_id_foreign` FOREIGN KEY (`last_post_id`) REFERENCES `tanneiposts` (`id`) ON DELETE SET NULL,
  CONSTRAINT `tanneidiscussions_last_posted_user_id_foreign` FOREIGN KEY (`last_posted_user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE SET NULL,
  CONSTRAINT `tanneidiscussions_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneidiscussions`
--

LOCK TABLES `tanneidiscussions` WRITE;
/*!40000 ALTER TABLE `tanneidiscussions` DISABLE KEYS */;
INSERT INTO `tanneidiscussions` VALUES (2,'测试中文',1,1,0,'2022-05-18 14:50:48',1,2,'2022-05-18 14:50:48',1,2,1,'2022-05-19 00:21:15',1,'',0,1,0,0),(3,'天气不错',1,1,0,'2022-05-18 23:17:09',1,3,'2022-05-18 23:17:09',1,3,1,NULL,NULL,'tian-qi-bu-cuo',0,1,0,0),(4,'最近好多裁员的 什么时候会好点啊',1,1,0,'2022-05-19 00:21:45',1,4,'2022-05-19 00:21:45',1,4,1,NULL,NULL,'zui-jin-hao-duo-cai-yuan-de-shi-yao-shi-hou-hui-hao-dian-a',0,1,0,0),(5,'已经居家办公一周了 ',1,1,0,'2022-05-20 12:52:32',1,5,'2022-05-20 12:52:32',1,5,1,NULL,NULL,'yi-jing-ju-jia-ban-gong-yi-zhou-liao',0,1,0,0);
/*!40000 ALTER TABLE `tanneidiscussions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneiemail_tokens`
--

DROP TABLE IF EXISTS `tanneiemail_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneiemail_tokens` (
  `token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`token`),
  KEY `tanneiemail_tokens_user_id_foreign` (`user_id`),
  CONSTRAINT `tanneiemail_tokens_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneiemail_tokens`
--

LOCK TABLES `tanneiemail_tokens` WRITE;
/*!40000 ALTER TABLE `tanneiemail_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneiemail_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneiflags`
--

DROP TABLE IF EXISTS `tanneiflags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneiflags` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `post_id` int unsigned NOT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `reason` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason_detail` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tanneiflags_post_id_foreign` (`post_id`),
  KEY `tanneiflags_user_id_foreign` (`user_id`),
  KEY `tanneiflags_created_at_index` (`created_at`),
  CONSTRAINT `tanneiflags_post_id_foreign` FOREIGN KEY (`post_id`) REFERENCES `tanneiposts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneiflags_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneiflags`
--

LOCK TABLES `tanneiflags` WRITE;
/*!40000 ALTER TABLE `tanneiflags` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneiflags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneigroup_permission`
--

DROP TABLE IF EXISTS `tanneigroup_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneigroup_permission` (
  `group_id` int unsigned NOT NULL,
  `permission` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`group_id`,`permission`),
  CONSTRAINT `tanneigroup_permission_group_id_foreign` FOREIGN KEY (`group_id`) REFERENCES `tanneigroups` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneigroup_permission`
--

LOCK TABLES `tanneigroup_permission` WRITE;
/*!40000 ALTER TABLE `tanneigroup_permission` DISABLE KEYS */;
INSERT INTO `tanneigroup_permission` VALUES (2,'viewForum'),(3,'discussion.flagPosts'),(3,'discussion.likePosts'),(3,'discussion.reply'),(3,'discussion.replyWithoutApproval'),(3,'discussion.startWithoutApproval'),(3,'searchUsers'),(3,'startDiscussion'),(4,'discussion.approvePosts'),(4,'discussion.editPosts'),(4,'discussion.hide'),(4,'discussion.hidePosts'),(4,'discussion.lock'),(4,'discussion.rename'),(4,'discussion.sticky'),(4,'discussion.tag'),(4,'discussion.viewFlags'),(4,'discussion.viewIpsPosts'),(4,'user.suspend'),(4,'user.viewLastSeenAt');
/*!40000 ALTER TABLE `tanneigroup_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneigroup_user`
--

DROP TABLE IF EXISTS `tanneigroup_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneigroup_user` (
  `user_id` int unsigned NOT NULL,
  `group_id` int unsigned NOT NULL,
  PRIMARY KEY (`user_id`,`group_id`),
  KEY `tanneigroup_user_group_id_foreign` (`group_id`),
  CONSTRAINT `tanneigroup_user_group_id_foreign` FOREIGN KEY (`group_id`) REFERENCES `tanneigroups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneigroup_user_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneigroup_user`
--

LOCK TABLES `tanneigroup_user` WRITE;
/*!40000 ALTER TABLE `tanneigroup_user` DISABLE KEYS */;
INSERT INTO `tanneigroup_user` VALUES (1,1);
/*!40000 ALTER TABLE `tanneigroup_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneigroups`
--

DROP TABLE IF EXISTS `tanneigroups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneigroups` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name_singular` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `name_plural` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_hidden` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneigroups`
--

LOCK TABLES `tanneigroups` WRITE;
/*!40000 ALTER TABLE `tanneigroups` DISABLE KEYS */;
INSERT INTO `tanneigroups` VALUES (1,'Admin','Admins','#B72A2A','fas fa-wrench',0),(2,'Guest','Guests',NULL,NULL,0),(3,'Member','Members',NULL,NULL,0),(4,'Mod','Mods','#80349E','fas fa-bolt',0);
/*!40000 ALTER TABLE `tanneigroups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneilogin_providers`
--

DROP TABLE IF EXISTS `tanneilogin_providers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneilogin_providers` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `provider` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `identifier` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `last_login_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tanneilogin_providers_provider_identifier_unique` (`provider`,`identifier`),
  KEY `tanneilogin_providers_user_id_foreign` (`user_id`),
  CONSTRAINT `tanneilogin_providers_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneilogin_providers`
--

LOCK TABLES `tanneilogin_providers` WRITE;
/*!40000 ALTER TABLE `tanneilogin_providers` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneilogin_providers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneimigrations`
--

DROP TABLE IF EXISTS `tanneimigrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneimigrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `extension` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=127 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneimigrations`
--

LOCK TABLES `tanneimigrations` WRITE;
/*!40000 ALTER TABLE `tanneimigrations` DISABLE KEYS */;
INSERT INTO `tanneimigrations` VALUES (1,'2015_02_24_000000_create_access_tokens_table',NULL),(2,'2015_02_24_000000_create_api_keys_table',NULL),(3,'2015_02_24_000000_create_config_table',NULL),(4,'2015_02_24_000000_create_discussions_table',NULL),(5,'2015_02_24_000000_create_email_tokens_table',NULL),(6,'2015_02_24_000000_create_groups_table',NULL),(7,'2015_02_24_000000_create_notifications_table',NULL),(8,'2015_02_24_000000_create_password_tokens_table',NULL),(9,'2015_02_24_000000_create_permissions_table',NULL),(10,'2015_02_24_000000_create_posts_table',NULL),(11,'2015_02_24_000000_create_users_discussions_table',NULL),(12,'2015_02_24_000000_create_users_groups_table',NULL),(13,'2015_02_24_000000_create_users_table',NULL),(14,'2015_09_15_000000_create_auth_tokens_table',NULL),(15,'2015_09_20_224327_add_hide_to_discussions',NULL),(16,'2015_09_22_030432_rename_notification_read_time',NULL),(17,'2015_10_07_130531_rename_config_to_settings',NULL),(18,'2015_10_24_194000_add_ip_address_to_posts',NULL),(19,'2015_12_05_042721_change_access_tokens_columns',NULL),(20,'2015_12_17_194247_change_settings_value_column_to_text',NULL),(21,'2016_02_04_095452_add_slug_to_discussions',NULL),(22,'2017_04_07_114138_add_is_private_to_discussions',NULL),(23,'2017_04_07_114138_add_is_private_to_posts',NULL),(24,'2018_01_11_093900_change_access_tokens_columns',NULL),(25,'2018_01_11_094000_change_access_tokens_add_foreign_keys',NULL),(26,'2018_01_11_095000_change_api_keys_columns',NULL),(27,'2018_01_11_101800_rename_auth_tokens_to_registration_tokens',NULL),(28,'2018_01_11_102000_change_registration_tokens_rename_id_to_token',NULL),(29,'2018_01_11_102100_change_registration_tokens_created_at_to_datetime',NULL),(30,'2018_01_11_120604_change_posts_table_to_innodb',NULL),(31,'2018_01_11_155200_change_discussions_rename_columns',NULL),(32,'2018_01_11_155300_change_discussions_add_foreign_keys',NULL),(33,'2018_01_15_071700_rename_users_discussions_to_discussion_user',NULL),(34,'2018_01_15_071800_change_discussion_user_rename_columns',NULL),(35,'2018_01_15_071900_change_discussion_user_add_foreign_keys',NULL),(36,'2018_01_15_072600_change_email_tokens_rename_id_to_token',NULL),(37,'2018_01_15_072700_change_email_tokens_add_foreign_keys',NULL),(38,'2018_01_15_072800_change_email_tokens_created_at_to_datetime',NULL),(39,'2018_01_18_130400_rename_permissions_to_group_permission',NULL),(40,'2018_01_18_130500_change_group_permission_add_foreign_keys',NULL),(41,'2018_01_18_130600_rename_users_groups_to_group_user',NULL),(42,'2018_01_18_130700_change_group_user_add_foreign_keys',NULL),(43,'2018_01_18_133000_change_notifications_columns',NULL),(44,'2018_01_18_133100_change_notifications_add_foreign_keys',NULL),(45,'2018_01_18_134400_change_password_tokens_rename_id_to_token',NULL),(46,'2018_01_18_134500_change_password_tokens_add_foreign_keys',NULL),(47,'2018_01_18_134600_change_password_tokens_created_at_to_datetime',NULL),(48,'2018_01_18_135000_change_posts_rename_columns',NULL),(49,'2018_01_18_135100_change_posts_add_foreign_keys',NULL),(50,'2018_01_30_112238_add_fulltext_index_to_discussions_title',NULL),(51,'2018_01_30_220100_create_post_user_table',NULL),(52,'2018_01_30_222900_change_users_rename_columns',NULL),(55,'2018_09_15_041340_add_users_indicies',NULL),(56,'2018_09_15_041828_add_discussions_indicies',NULL),(57,'2018_09_15_043337_add_notifications_indices',NULL),(58,'2018_09_15_043621_add_posts_indices',NULL),(59,'2018_09_22_004100_change_registration_tokens_columns',NULL),(60,'2018_09_22_004200_create_login_providers_table',NULL),(61,'2018_10_08_144700_add_shim_prefix_to_group_icons',NULL),(62,'2019_10_12_195349_change_posts_add_discussion_foreign_key',NULL),(63,'2020_03_19_134512_change_discussions_default_comment_count',NULL),(64,'2020_04_21_130500_change_permission_groups_add_is_hidden',NULL),(65,'2021_03_02_040000_change_access_tokens_add_type',NULL),(66,'2021_03_02_040500_change_access_tokens_add_id',NULL),(67,'2021_03_02_041000_change_access_tokens_add_title_ip_agent',NULL),(68,'2021_04_18_040500_change_migrations_add_id_primary_key',NULL),(69,'2021_04_18_145100_change_posts_content_column_to_mediumtext',NULL),(70,'2018_07_21_000000_seed_default_groups',NULL),(71,'2018_07_21_000100_seed_default_group_permissions',NULL),(72,'2021_05_10_000000_rename_permissions',NULL),(73,'2015_09_21_011527_add_is_approved_to_discussions','flarum-approval'),(74,'2015_09_21_011706_add_is_approved_to_posts','flarum-approval'),(75,'2017_07_22_000000_add_default_permissions','flarum-approval'),(76,'2018_09_29_060444_replace_emoji_shorcuts_with_unicode','flarum-emoji'),(77,'2015_09_02_000000_add_flags_read_time_to_users_table','flarum-flags'),(78,'2015_09_02_000000_create_flags_table','flarum-flags'),(79,'2017_07_22_000000_add_default_permissions','flarum-flags'),(80,'2018_06_27_101500_change_flags_rename_time_to_created_at','flarum-flags'),(81,'2018_06_27_101600_change_flags_add_foreign_keys','flarum-flags'),(82,'2018_06_27_105100_change_users_rename_flags_read_time_to_read_flags_at','flarum-flags'),(83,'2018_09_15_043621_add_flags_indices','flarum-flags'),(84,'2019_10_22_000000_change_reason_text_col_type','flarum-flags'),(85,'2015_05_11_000000_create_posts_likes_table','flarum-likes'),(86,'2015_09_04_000000_add_default_like_permissions','flarum-likes'),(87,'2018_06_27_100600_rename_posts_likes_to_post_likes','flarum-likes'),(88,'2018_06_27_100700_change_post_likes_add_foreign_keys','flarum-likes'),(89,'2021_05_10_094200_add_created_at_to_post_likes_table','flarum-likes'),(90,'2015_02_24_000000_add_locked_to_discussions','flarum-lock'),(91,'2017_07_22_000000_add_default_permissions','flarum-lock'),(92,'2018_09_15_043621_add_discussions_indices','flarum-lock'),(93,'2021_03_25_000000_default_settings','flarum-markdown'),(94,'2015_05_11_000000_create_mentions_posts_table','flarum-mentions'),(95,'2015_05_11_000000_create_mentions_users_table','flarum-mentions'),(96,'2018_06_27_102000_rename_mentions_posts_to_post_mentions_post','flarum-mentions'),(97,'2018_06_27_102100_rename_mentions_users_to_post_mentions_user','flarum-mentions'),(98,'2018_06_27_102200_change_post_mentions_post_rename_mentions_id_to_mentions_post_id','flarum-mentions'),(99,'2018_06_27_102300_change_post_mentions_post_add_foreign_keys','flarum-mentions'),(100,'2018_06_27_102400_change_post_mentions_user_rename_mentions_id_to_mentions_user_id','flarum-mentions'),(101,'2018_06_27_102500_change_post_mentions_user_add_foreign_keys','flarum-mentions'),(102,'2021_04_19_000000_set_default_settings','flarum-mentions'),(103,'2015_02_24_000000_add_sticky_to_discussions','flarum-sticky'),(104,'2017_07_22_000000_add_default_permissions','flarum-sticky'),(105,'2018_09_15_043621_add_discussions_indices','flarum-sticky'),(106,'2021_01_13_000000_add_discussion_last_posted_at_indices','flarum-sticky'),(107,'2015_05_11_000000_add_subscription_to_users_discussions_table','flarum-subscriptions'),(108,'2015_05_11_000000_add_suspended_until_to_users_table','flarum-suspend'),(109,'2015_09_14_000000_rename_suspended_until_column','flarum-suspend'),(110,'2017_07_22_000000_add_default_permissions','flarum-suspend'),(111,'2018_06_27_111400_change_users_rename_suspend_until_to_suspended_until','flarum-suspend'),(112,'2021_10_27_000000_add_suspend_reason_and_message','flarum-suspend'),(113,'2015_02_24_000000_create_discussions_tags_table','flarum-tags'),(114,'2015_02_24_000000_create_tags_table','flarum-tags'),(115,'2015_02_24_000000_create_users_tags_table','flarum-tags'),(116,'2015_02_24_000000_set_default_settings','flarum-tags'),(117,'2015_10_19_061223_make_slug_unique','flarum-tags'),(118,'2017_07_22_000000_add_default_permissions','flarum-tags'),(119,'2018_06_27_085200_change_tags_columns','flarum-tags'),(120,'2018_06_27_085300_change_tags_add_foreign_keys','flarum-tags'),(121,'2018_06_27_090400_rename_users_tags_to_tag_user','flarum-tags'),(122,'2018_06_27_100100_change_tag_user_rename_read_time_to_marked_as_read_at','flarum-tags'),(123,'2018_06_27_100200_change_tag_user_add_foreign_keys','flarum-tags'),(124,'2018_06_27_103000_rename_discussions_tags_to_discussion_tag','flarum-tags'),(125,'2018_06_27_103100_add_discussion_tag_foreign_keys','flarum-tags'),(126,'2019_04_21_000000_add_icon_to_tags_table','flarum-tags');
/*!40000 ALTER TABLE `tanneimigrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneinotifications`
--

DROP TABLE IF EXISTS `tanneinotifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneinotifications` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `from_user_id` int unsigned DEFAULT NULL,
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `subject_id` int unsigned DEFAULT NULL,
  `data` blob,
  `created_at` datetime NOT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `read_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `tanneinotifications_from_user_id_foreign` (`from_user_id`),
  KEY `tanneinotifications_user_id_index` (`user_id`),
  CONSTRAINT `tanneinotifications_from_user_id_foreign` FOREIGN KEY (`from_user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE SET NULL,
  CONSTRAINT `tanneinotifications_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneinotifications`
--

LOCK TABLES `tanneinotifications` WRITE;
/*!40000 ALTER TABLE `tanneinotifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneinotifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneipassword_tokens`
--

DROP TABLE IF EXISTS `tanneipassword_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneipassword_tokens` (
  `token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`token`),
  KEY `tanneipassword_tokens_user_id_foreign` (`user_id`),
  CONSTRAINT `tanneipassword_tokens_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneipassword_tokens`
--

LOCK TABLES `tanneipassword_tokens` WRITE;
/*!40000 ALTER TABLE `tanneipassword_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneipassword_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneipost_likes`
--

DROP TABLE IF EXISTS `tanneipost_likes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneipost_likes` (
  `post_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`post_id`,`user_id`),
  KEY `tanneipost_likes_user_id_foreign` (`user_id`),
  CONSTRAINT `tanneipost_likes_post_id_foreign` FOREIGN KEY (`post_id`) REFERENCES `tanneiposts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneipost_likes_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneipost_likes`
--

LOCK TABLES `tanneipost_likes` WRITE;
/*!40000 ALTER TABLE `tanneipost_likes` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneipost_likes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneipost_mentions_post`
--

DROP TABLE IF EXISTS `tanneipost_mentions_post`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneipost_mentions_post` (
  `post_id` int unsigned NOT NULL,
  `mentions_post_id` int unsigned NOT NULL,
  PRIMARY KEY (`post_id`,`mentions_post_id`),
  KEY `tanneipost_mentions_post_mentions_post_id_foreign` (`mentions_post_id`),
  CONSTRAINT `tanneipost_mentions_post_mentions_post_id_foreign` FOREIGN KEY (`mentions_post_id`) REFERENCES `tanneiposts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneipost_mentions_post_post_id_foreign` FOREIGN KEY (`post_id`) REFERENCES `tanneiposts` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneipost_mentions_post`
--

LOCK TABLES `tanneipost_mentions_post` WRITE;
/*!40000 ALTER TABLE `tanneipost_mentions_post` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneipost_mentions_post` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneipost_mentions_user`
--

DROP TABLE IF EXISTS `tanneipost_mentions_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneipost_mentions_user` (
  `post_id` int unsigned NOT NULL,
  `mentions_user_id` int unsigned NOT NULL,
  PRIMARY KEY (`post_id`,`mentions_user_id`),
  KEY `tanneipost_mentions_user_mentions_user_id_foreign` (`mentions_user_id`),
  CONSTRAINT `tanneipost_mentions_user_mentions_user_id_foreign` FOREIGN KEY (`mentions_user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneipost_mentions_user_post_id_foreign` FOREIGN KEY (`post_id`) REFERENCES `tanneiposts` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneipost_mentions_user`
--

LOCK TABLES `tanneipost_mentions_user` WRITE;
/*!40000 ALTER TABLE `tanneipost_mentions_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneipost_mentions_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneipost_user`
--

DROP TABLE IF EXISTS `tanneipost_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneipost_user` (
  `post_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  PRIMARY KEY (`post_id`,`user_id`),
  KEY `tanneipost_user_user_id_foreign` (`user_id`),
  CONSTRAINT `tanneipost_user_post_id_foreign` FOREIGN KEY (`post_id`) REFERENCES `tanneiposts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneipost_user_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneipost_user`
--

LOCK TABLES `tanneipost_user` WRITE;
/*!40000 ALTER TABLE `tanneipost_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneipost_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneiposts`
--

DROP TABLE IF EXISTS `tanneiposts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneiposts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `discussion_id` int unsigned NOT NULL,
  `number` int unsigned DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT ' ',
  `edited_at` datetime DEFAULT NULL,
  `edited_user_id` int unsigned DEFAULT NULL,
  `hidden_at` datetime DEFAULT NULL,
  `hidden_user_id` int unsigned DEFAULT NULL,
  `ip_address` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_private` tinyint(1) NOT NULL DEFAULT '0',
  `is_approved` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `tanneiposts_discussion_id_number_unique` (`discussion_id`,`number`),
  KEY `tanneiposts_edited_user_id_foreign` (`edited_user_id`),
  KEY `tanneiposts_hidden_user_id_foreign` (`hidden_user_id`),
  KEY `tanneiposts_discussion_id_number_index` (`discussion_id`,`number`),
  KEY `tanneiposts_discussion_id_created_at_index` (`discussion_id`,`created_at`),
  KEY `tanneiposts_user_id_created_at_index` (`user_id`,`created_at`),
  FULLTEXT KEY `content` (`content`),
  CONSTRAINT `tanneiposts_discussion_id_foreign` FOREIGN KEY (`discussion_id`) REFERENCES `tanneidiscussions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneiposts_edited_user_id_foreign` FOREIGN KEY (`edited_user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE SET NULL,
  CONSTRAINT `tanneiposts_hidden_user_id_foreign` FOREIGN KEY (`hidden_user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE SET NULL,
  CONSTRAINT `tanneiposts_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneiposts`
--

LOCK TABLES `tanneiposts` WRITE;
/*!40000 ALTER TABLE `tanneiposts` DISABLE KEYS */;
INSERT INTO `tanneiposts` VALUES (2,2,1,'2022-05-18 14:50:48',1,'comment','<t><p>这是个中文帖子</p></t>',NULL,NULL,NULL,NULL,'60.10.12.243',0,1),(3,3,1,'2022-05-18 23:17:09',1,'comment','<t><p>哈哈</p></t>',NULL,NULL,NULL,NULL,'60.10.12.243',0,1),(4,4,1,'2022-05-19 00:21:45',1,'comment','<t><p>看脉脉上好多裁员的 什么时候会消停</p></t>',NULL,NULL,NULL,NULL,'60.10.12.243',0,1),(5,5,1,'2022-05-20 12:52:32',1,'comment','<t><p>感觉习惯了都</p></t>',NULL,NULL,NULL,NULL,'60.10.12.242',0,1);
/*!40000 ALTER TABLE `tanneiposts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneiregistration_tokens`
--

DROP TABLE IF EXISTS `tanneiregistration_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneiregistration_tokens` (
  `token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` datetime DEFAULT NULL,
  `provider` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `identifier` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_attributes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneiregistration_tokens`
--

LOCK TABLES `tanneiregistration_tokens` WRITE;
/*!40000 ALTER TABLE `tanneiregistration_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneiregistration_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneisettings`
--

DROP TABLE IF EXISTS `tanneisettings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneisettings` (
  `key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneisettings`
--

LOCK TABLES `tanneisettings` WRITE;
/*!40000 ALTER TABLE `tanneisettings` DISABLE KEYS */;
INSERT INTO `tanneisettings` VALUES ('allow_post_editing','reply'),('allow_renaming','10'),('allow_sign_up','1'),('custom_less',''),('default_locale','zh-Hans'),('default_route','/all'),('display_name_driver','username'),('extensions_enabled','[\"flarum-flags\",\"flarum-tags\",\"flarum-suspend\",\"flarum-subscriptions\",\"flarum-sticky\",\"flarum-statistics\",\"flarum-mentions\",\"flarum-markdown\",\"flarum-lock\",\"flarum-likes\",\"flarum-lang-english\",\"flarum-lang-chinese-simplified\",\"flarum-emoji\",\"flarum-bbcode\",\"flarum-approval\"]'),('flarum-markdown.mdarea','1'),('flarum-mentions.allow_username_format','1'),('flarum-tags.max_primary_tags','1'),('flarum-tags.max_secondary_tags','3'),('flarum-tags.min_primary_tags','1'),('flarum-tags.min_secondary_tags','0'),('forum_description','坛内，互联网人吹水聊天的论坛'),('forum_title','坛内'),('mail_driver','mail'),('mail_from','noreply@tannei.com'),('show_language_selector',''),('slug_driver_Flarum\\User\\User','default'),('theme_colored_header','0'),('theme_dark_mode','0'),('theme_primary_color','#4D698E'),('theme_secondary_color','#4D698E'),('version','1.3.0'),('welcome_message','一个互联网人吹水，聊天的地方'),('welcome_title','欢迎来到坛内');
/*!40000 ALTER TABLE `tanneisettings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneitag_user`
--

DROP TABLE IF EXISTS `tanneitag_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneitag_user` (
  `user_id` int unsigned NOT NULL,
  `tag_id` int unsigned NOT NULL,
  `marked_as_read_at` datetime DEFAULT NULL,
  `is_hidden` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`,`tag_id`),
  KEY `tanneitag_user_tag_id_foreign` (`tag_id`),
  CONSTRAINT `tanneitag_user_tag_id_foreign` FOREIGN KEY (`tag_id`) REFERENCES `tanneitags` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tanneitag_user_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneitag_user`
--

LOCK TABLES `tanneitag_user` WRITE;
/*!40000 ALTER TABLE `tanneitag_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `tanneitag_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneitags`
--

DROP TABLE IF EXISTS `tanneitags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneitags` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `color` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `background_path` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `background_mode` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` int DEFAULT NULL,
  `parent_id` int unsigned DEFAULT NULL,
  `default_sort` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_restricted` tinyint(1) NOT NULL DEFAULT '0',
  `is_hidden` tinyint(1) NOT NULL DEFAULT '0',
  `discussion_count` int unsigned NOT NULL DEFAULT '0',
  `last_posted_at` datetime DEFAULT NULL,
  `last_posted_discussion_id` int unsigned DEFAULT NULL,
  `last_posted_user_id` int unsigned DEFAULT NULL,
  `icon` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tanneitags_slug_unique` (`slug`),
  KEY `tanneitags_parent_id_foreign` (`parent_id`),
  KEY `tanneitags_last_posted_user_id_foreign` (`last_posted_user_id`),
  KEY `tanneitags_last_posted_discussion_id_foreign` (`last_posted_discussion_id`),
  CONSTRAINT `tanneitags_last_posted_discussion_id_foreign` FOREIGN KEY (`last_posted_discussion_id`) REFERENCES `tanneidiscussions` (`id`) ON DELETE SET NULL,
  CONSTRAINT `tanneitags_last_posted_user_id_foreign` FOREIGN KEY (`last_posted_user_id`) REFERENCES `tanneiusers` (`id`) ON DELETE SET NULL,
  CONSTRAINT `tanneitags_parent_id_foreign` FOREIGN KEY (`parent_id`) REFERENCES `tanneitags` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneitags`
--

LOCK TABLES `tanneitags` WRITE;
/*!40000 ALTER TABLE `tanneitags` DISABLE KEYS */;
INSERT INTO `tanneitags` VALUES (1,'General','general',NULL,'#888',NULL,NULL,0,NULL,NULL,0,0,3,'2022-05-20 12:52:32',5,1,NULL);
/*!40000 ALTER TABLE `tanneitags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tanneiusers`
--

DROP TABLE IF EXISTS `tanneiusers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tanneiusers` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_email_confirmed` tinyint(1) NOT NULL DEFAULT '0',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar_url` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `preferences` blob,
  `joined_at` datetime DEFAULT NULL,
  `last_seen_at` datetime DEFAULT NULL,
  `marked_all_as_read_at` datetime DEFAULT NULL,
  `read_notifications_at` datetime DEFAULT NULL,
  `discussion_count` int unsigned NOT NULL DEFAULT '0',
  `comment_count` int unsigned NOT NULL DEFAULT '0',
  `read_flags_at` datetime DEFAULT NULL,
  `suspended_until` datetime DEFAULT NULL,
  `suspend_reason` text COLLATE utf8mb4_unicode_ci,
  `suspend_message` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tanneiusers_username_unique` (`username`),
  UNIQUE KEY `tanneiusers_email_unique` (`email`),
  KEY `tanneiusers_joined_at_index` (`joined_at`),
  KEY `tanneiusers_last_seen_at_index` (`last_seen_at`),
  KEY `tanneiusers_discussion_count_index` (`discussion_count`),
  KEY `tanneiusers_comment_count_index` (`comment_count`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tanneiusers`
--

LOCK TABLES `tanneiusers` WRITE;
/*!40000 ALTER TABLE `tanneiusers` DISABLE KEYS */;
INSERT INTO `tanneiusers` VALUES (1,'admin','wawa@88.com',1,'$2y$10$XRypbeuDgjcsfqnTxpRIe.mk1Cxu8mAXZ0aHUmzHZ0h6Olydy7/8W',NULL,NULL,'2022-05-18 14:40:33','2022-05-21 03:48:01',NULL,NULL,4,4,NULL,NULL,NULL,NULL),(2,'A21-','482588509@qq.com',0,'$2y$10$yM9IkFi9Gpj1.FIU0kq.Se/7/ckC.IxUq5YndH72fk9.MlhpjejUa',NULL,NULL,'2022-05-22 19:06:19',NULL,NULL,NULL,0,0,NULL,NULL,NULL,NULL),(3,'321513527','321513427@qq.com',0,'$2y$10$w5N6ZJpJxJr3NQx5TfFmQesMwcop9QmraCVYWhm.vgpn/ef26nQN6',NULL,NULL,'2022-05-23 20:27:23','2022-05-23 20:27:31',NULL,NULL,0,0,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `tanneiusers` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2022-05-29 12:33:59
